package main

import (
	"github.com/goccy/go-yaml"
	"io"
	"os"
)

func encode(writer io.Writer, data any) error {
	enc := yaml.NewEncoder(os.Stdout,
		yaml.UseLiteralStyleIfMultiline(true),
		yaml.Indent(2), // Set indentation
		//yaml.UseOrderedMap(), // Preserve map order
	)
	return enc.Encode(data)
}
